package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
/* loaded from: org_apache_commons_lang3_function.jar:org/apache/commons/lang3/function/FailableIntFunction.class */
public interface FailableIntFunction<R, E extends Throwable> {
    public static final FailableIntFunction NOP = t -> {
        return null;
    };

    R apply(int i) throws Throwable;

    static <R, E extends Throwable> FailableIntFunction<R, E> nop() {
        return NOP;
    }
}
